html {
  scroll-behavior: smooth;
}

body {
  padding-top: 120px;
}

#navbar {
  width: 100vw;
  position: fixed;
  z-index: 99;
  top: 0;
  opacity: .7;
}

#hero {
  background-position: center;
  background-repeat: no-repeat;
  position: relative;
  overflow: hidden;
  width: 80%;
  height: auto;
  margin: 0% auto;
}

.carousel-control-next-icon,
.carousel-control-prev-icon {
  background-color: var(--secondary);
}

.jumbotron {
  text-align: center;
}

.mb-3 {
  width: fit-content;
  margin-left: 20px;
  margin-right: 20px;
}

body > #products > div > div > img {
  width: fit-content;
}

h1, h2, h3, h4, h5, h6 {
  margin-bottom: 25px;
}

h5 {
  margin-top: 40px;
}

#contactForm {
  padding: 30%;
  padding-top: 0;
  padding-bottom: 0;
}

#footer {
  background: var(--secondary);
  margin-top: 30px;
  padding-top: 30px;
  padding-bottom: 20px;
}

#logoFooter {
  max-width: 30vw;
}

#homeMessage {
  font-size: 20px;
  padding: 20px;
}

.footSection{
  display: flex; 
  flex-wrap: wrap;
  justify-content: space-around;
}

.flip-box {
  background-color: transparent;
  width: 300px;
  height: fit-content;
  perspective: 1000px; 
  margin: 30px;
}

.flip-box-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 1.2s;
  transform-style: preserve-3d;
}

.flip-box:hover .flip-box-inner {
  transform: rotateY(180deg);
}

.flip-box:hover .flip-box-front {
  position: absolute;
}

.flip-box:hover .flip-box-back {
  display: block;
  position: relative;
}

.flip-box-front, .flip-box-back {
  position: relative;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden; /* Safari */
  backface-visibility: hidden;
}

.flip-box-back{ position: absolute; display: none;}

/* Style the front side (fallback if image is missing) */
.flip-box-front {
  color: black;
}

/* Style the back side */
.flip-box-back {
  background-color: var(--primary);
  color: white;
  transform: rotateY(180deg);
}